Millones de Android están en riesgo por un error de Qualcomm

qualcomm-snapdragon-procesadores-vulnerabilidad

Debido a un grave error de programación a nivel del Kernel de algunos chipset Qualcomm Snapdragon, un atacante podría hacerse con acceso root a tu dispositivo Android y tomar el control total del mismo. Una vez que este obtiene permisos de tal nivel, puede hacer cualquier cosa, como leer y responder emails, ver contraseñas, números de tarjeta y fotos.

Este problema podría afectar a millones de teléfonos móviles en el mundo con el sistema operativo Android y que hagan uso de procesadores Qualcomm Snapdragon, por lo que no se trata de un simple fallo que pueda ser ignorado, y parece que la solución tardará en llegar a los dispositivos por toda la cadena de personas por la que tendrá que pasar antes de acabar en los teléfonos.

Según The Hacker News, Google ya envió un parche para intentar solucionar este problema cuando Trend Micro informó del mismo. Sin embargo, parece que la mayoría de los usuarios no ha podido recibir dicha actualización, por lo que hay incontables dispositivos afectados, y muchos fabricantes directamente no cuentan con los recursos necesarios para mantener los terminales al día.

Por ahora, Qualcomm debe trabajar en una solución para este problema, y una vez logrado le mandará el parche a Google, quien a su vez tendrá que contactar con los diferentes fabricantes del mercado para facilitarles este parche y que comiencen la distribución. En ese momento simplemente los usuarios lo descargarían por datos o wifi para actualizar al firmware.

Por desgracia, aunque dicho así pueda parecer fácil, este proceso puede llevar mucho tiempo principalmente por la cantidad de personas y empresas implicadas en el mismo, además de que es probable que los dispositivos que ya no cuenten con soporte oficial directamente se queden afectados por este problema para siempre, el cual ahora que se ha hecho público, es un riesgo.

Los teléfonos afectados en principio, y según creen en Trend Micro, son todos aquellos comprendidos entre las versiones Android 4.4.4 hasta la versión 6.0.1 que tengan un procesador de Qualcomm Snapdragon con la versión 3.10 de su Kernel. Además, puede confirmar con total seguridad que los Nexus 5, Nexus 6, Nexus 6P y Galaxy Edge Note están afectados, ya que de momento han realizado pruebas con estos modelos.

[Fuente: BidnessETC]

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s